<template>
    <div :class="$style.container">
        <c-loading v-if="loading" />

        <slot
            :class="{
                [$style.hidden]: loading,
            }"
        >
        </slot>
    </div>
</template>

<script>
import CLoading from '@/components/CLoading'
import { mapState } from 'pinia'
import { useGeneralStore } from '@/store/modules/general'

export default {
    name: 'MainMasterPage',

    components: {
        CLoading,
    },

    computed: {
        ...mapState(useGeneralStore, ['loading']),
    },
}
</script>

<style lang="scss" module>
.container {
    margin: 32px;
}
.hidden {
    visibility: hidden !important;
}
</style>
